<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__qspi" kind="group">
    <compoundname>group_hal_results_qspi</compoundname>
    <title>QSPI HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__qspi_1gacbb2bfd332dbbd3589ce6677bc068066" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_BUS_WIDTH</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 0))</initializer>
        <briefdescription>
<para>Bus width Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="88" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="88" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1gaaff3affb5a155c8341d8081c04ba5fc2" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 1))</initializer>
        <briefdescription>
<para>Pin related Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="91" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="91" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga71bf90ec56d0ff067b535f1ea667fb01" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_DATA_SEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 2))</initializer>
        <briefdescription>
<para>Data select Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="94" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="94" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga98afbaa8e54635a5033feffdc5ee3a8d" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_INSTANCE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 3))</initializer>
        <briefdescription>
<para>QSPI instance related error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="97" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="97" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga01bf613bc3c9e26af1008d79e1e9cbeb" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_FREQUENCY</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 4))</initializer>
        <briefdescription>
<para>Clock frequency error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="100" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="100" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga5588bcbb0f68d00d98480a0e0a1f342c" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_TIMEOUT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 5))</initializer>
        <briefdescription>
<para>Waiting for certain event error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="103" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="103" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1gaa7e655511e8b65a556ea9f6ac1253aba" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_CANNOT_CONFIG_SSEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 6))</initializer>
        <briefdescription>
<para>Cannot configure SSEL signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="106" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="106" />
      </memberdef>
      <memberdef id="group__group__hal__results__qspi_1ga919f92d93b47c56e2d7e31ebf6b9141d" kind="define" prot="public" static="no">
        <name>CYHAL_QSPI_RSLT_ERR_CANNOT_SWITCH_SSEL</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af001a4e0cb1173e8797a0a77c820bf0c">CYHAL_RSLT_MODULE_QSPI</ref>, 7))</initializer>
        <briefdescription>
<para>Cannot switch to specified SSEL signal. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" bodystart="109" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_qspi.h" line="109" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>QSPI specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>